package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 产品类型表 product_producttype
 *
 * @author ruoyi
 */

public class ProductProducttype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品类型名称 */
    @Excel(name = "产品类型名称")
    private String name;

    /** 是否使用（0使用，1禁用） */
    @Excel(name = "是否使用", readConverterExp = "0=使用,1=禁用")
    private Integer type;

    /** 产品类型（0：交流，1：直流） */
    @Excel(name = "产品类型", readConverterExp = "0=交流,1=直流")

    private Integer deviceType;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public Integer getType()
    {
        return type;
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getDeviceType()
    {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType)
    {
        this.deviceType = deviceType;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("deviceType", getDeviceType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
